Package oracle.nosql.driver

# Enum Consistency.Type

java.lang.Object
java.lang.Enum<Consistency.Type>
oracle.nosql.driver.Consistency.Type

All Implemented Interfaces:
  `Serializable`, `Comparable<Consistency.Type>`, `java.lang.constant.Constable`

Enclosing class:
  Consistency

public static enum Consistency.Type extends Enum<Consistency.Type>
Consistency types

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ABSOLUTE`
  ABSOLUTE consistency reads only from the leader node
  `EVENTUAL`
  EVENTUAL consistency will read from any node in the cluster

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Consistency.Type`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static Consistency.Type[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### EVENTUAL

    public static final Consistency.Type EVENTUAL
    EVENTUAL consistency will read from any node in the cluster

  - ### ABSOLUTE

    public static final Consistency.Type ABSOLUTE
    ABSOLUTE consistency reads only from the leader node

- ## Method Details

  - ### values

    public static Consistency.Type[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static Consistency.Type valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null